<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
//$anoCorrente=$sessao->getVar('anocorrente');
$anoCorrente=$sessao->getVar('controle');
$anoAmostra=$anoCorrente;
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoHAdobe=210;//isso para horizontal
			 //$maximoLAdobe=297;//isso para horizontal

		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-20;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
                $matriz[][]=0;

                //cabecalho
                $matriz[0][0]="Espécie/Mes";
                $matriz[0][1]="Jan";
                $matriz[0][2]="Fev";
                $matriz[0][3]="Mar";
                $matriz[0][4]="Abr";
                $matriz[0][5]="Mai";
                $matriz[0][6]="Jun";
                $matriz[0][7]="Jul";
                $matriz[0][8]="Ago";
                $matriz[0][9]="Set";
                $matriz[0][10]="Out";
                $matriz[0][11]="Nov";
                $matriz[0][12]="Dez";
                $matriz[0][13]="Soma";
   
               	$userAmostra=new tabelagenerica();
			 	$generica=new tabelagenerica(); 
				$userAmostra->extras_select =" select esp_nome,fic_dt_entrada from ficha,especies,cultivar where fic_cultivar=ctv_id and ctv_especie=esp_id and  year(fic_dt_entrada) = '". $anoCorrente."'  and fic_labo=".$idLabo." order by esp_nome";
				$userAmostra->selecionaCamposEspecial($userAmostra);
				$linha=0;
				$nomeComum0='@';
			    while ($resAmostra = $userAmostra->retornaDados()):
                    $nomeComum1=$resAmostra->esp_nome;    
                    if($nomeComum1!=$nomeComum0):
					   $linha++;
					   $nomeComum0=$nomeComum1;
                       $matriz[$linha][0]=substr($nomeComum1,0,30);
					endif;
                    $mes=substr($resAmostra->fic_dt_entrada,5,2);
					$mes=$mes*1;					
                    $matriz[$linha][$mes]++;//incrementa na linha e na coluna
                    $matriz[$linha][13]++;//fornece o total na linha
                endwhile;
                //carcula o totar finar embaxo
				$linhaFinal=$linha+1;
                for($j=1;$j<=13;$j++):
                    for($i=1;$i<=$linha;$i++):
	                    $matriz[$linhaFinal][$j]+=$matriz[$i][$j];
                    endfor;
				endfor;
	            $matriz[$linhaFinal][0]='Total:';

                //aqui imprime a matriz
				$cota1+=2;
				$contaLinhas=0;
                for($i=0;$i<=$linhaFinal;$i++):
				    if($contaLinhas==0):
			             $cota1=0;
						 $pdf->AddPage();//adicionando a primera pafina 
						 //cabecalho
						 $posicaoCab1=61;$posicaoCab2=245;
				         $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
				         $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
						 $pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
			     		 $pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
			     		 $pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
			             $cota1=30;
						 $pdf->setXY($margemEsquerda,$cota1);
			             $hoje=date('Y-m-d');
			             $hojeBrasil=date('d/m/Y');
						 $pdf->Cell($larguraUtil-10,5,utf8_decode('Amostras recebidas/espécie  ano:' . $anoCorrente .'  Data emissão:').$hojeBrasil,1,1,'L',1);//lab nome					
					endif; 
					$cota1+=5;
					$pdf->setXY($margemEsquerda,$cota1);
                    for($j=0;$j<=13;$j++):
	                    $largura=10; 
	                    if($j==0)$largura=52;
	                    if($j==13)$largura=12;
				        $pdf->Cell($largura,5,utf8_decode($matriz[$i][$j]),1,0,'C');//corpo
                    endfor;
					$contaLinhas++;
					if($contaLinhas>45)$contaLinhas=0;//força ele criar nova pagina
				endfor;




//IMPRIME meu nome
$pdf->SetFont('Arial','',7);
$pdf->setXY(10,$futer);
$pdf->Cell($larguraUtil,4,utf8_decode('SilasNet - Oto C. Gugeler Integral Agronet 34-3212.6384'),0,0,'L');//natureza




ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
